Subject: Re: associating(?) .sh scripts
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Andrew Markebo <[email-masked]>
Date: Mon, 3 Jun 2002 09:22:53 -0500

Andrew, et al --

...and then Andrew Markebo said...
% 
% / David T-G <[email-masked]> wrote:
% | Hi, all --
% | 
% | I have a shell script "meta-play.sh" which I run to collect metadata
% | after I burn an MP3 CD.  I cd into the source directory and run
% | 
% |   ../meta-play.sh cdname
% 
% >From where? The bash script?? command/cmd?? 

Whoops, sorry.  A bash prompt.

% 
% What does the first lines of meta-play.sh look like, what about
% dos/unix newlines.. 

It does not have a shebang line, since I never figured out how to
properly put one in (but also never needed one), and it is almost
certainly in DOS format though I use vim and never worry any more about
line feed translation :-)  As below, I'll let you know.

% 
% What does it say if you do 'file meta-play.sh', ls -l of it?

I'll tell you this evening when I get home to try it :-)  I'm confident
that ls -l will just show the file but don't know for sure about any
permissions (I read with interest the recent post on "they're all
executable", since I see that too) but don't know what file will say.

% 
%         /Andy
% 
% -- 
%  The eye of the beholder rests on the beauty!

Thanks again & HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!